{% extends main_template %}

{% block locale %}fr{% endblock %}

{% block content %}

    <h1 class="clearfix">
        FDSNWS Station v1
        <span class="float-right">
            <a class="btn btn-outline-primary btn-sm" role="button" aria-disabled="false" href="{{ layout.api_url() }}?locale=fr">FR</a>
            <a class="btn btn-outline-primary btn-sm disabled" role="button" aria-disabled="true">EN</a>
        </span>
    </h1>

<h2 id="description">Description</h2>
<p>The fdsnws-station web service returns station metadata.</p>
<h2 id="query-usage">Query usage</h2>
<pre><code>/query? [channel-options] [time-options] [geographic-options] [output-options] [miscellaneous-options] [nodata=404]</code></pre>
<p>Where:</p>
<pre><code>channel-options       ::  [net=&lt;network&gt;] [sta=&lt;station&gt;] [loc=&lt;location&gt;] [cha=&lt;channel&gt;]
time-options          ::  [starttime=&lt;date&gt;] [endtime=&lt;date&gt;] [startbefore=&lt;date&gt;] [startafter=&lt;date&gt;] [endbefore=&lt;date&gt;] [endafter=&lt;date&gt;]
geographic-options    ::  [minlat=&lt;degrees&gt;] [maxlat=&lt;degrees&gt;] [minlon=&lt;degrees&gt;] [maxlon=&lt;degrees&gt;]
geographic-options    ::  [lat=&lt;degrees&gt;] [lon=&lt;degrees&gt;] [minradius=&lt;degrees&gt;] [maxradius=&lt;degrees&gt;]
output-options        ::  [level=&lt;network|STATION|location|channel&gt;] [format=&lt;XML|text|mseed&gt;]
miscellaneous-options ::  [includerestricted=&lt;TRUE|false&gt;] [matchtimeseries=&lt;true|FALSE&gt;] [updatedafter=&lt;date&gt;]</code></pre>
<p>default values are uppercase</p>
<h2 id="sample-queries">Sample queries</h2>
<ul>
<li>All RESIF networks : <a href="{{ layout.api_url() }}query?level=network">{{ layout.api_url() }}query?level=network</a></li>
<li>Whole French accelerometric network (RAP): <a href="{{ layout.api_url() }}query?network=FR,RA&amp;channel=HN?&amp;format=xml&amp;level=station">{{ layout.api_url() }}query?network=FR,RA&amp;channel=HN?&amp;format=xml&amp;level=station</a></li>
<li>Whole FR network, limit to channels which contains data: <a href="{{ layout.api_url() }}query?network=FR&amp;format=xml&amp;level=channel&amp;matchtimeseries=true">{{ layout.api_url() }}query?network=FR&amp;format=xml&amp;level=channel&amp;matchtimeseries=true</a></li>
</ul>
<h2 id="detailed-descriptions-of-each-query-parameter">Detailed descriptions of each query parameter</h2>
<h3 id="channel-options">Channel options</h3>
<table>
<colgroup>
<col style="width: 8%" />
<col style="width: 6%" />
<col style="width: 74%" />
<col style="width: 6%" />
<col style="width: 3%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
<th>Default</th>
<th>Type</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">net[work]</td>
<td style="text-align: left;">FR</td>
<td style="text-align: left;">Seismic network name. Accepts wildcards and lists.</td>
<td>any</td>
<td>string</td>
</tr>
<tr class="even">
<td style="text-align: left;">sta[tion]</td>
<td style="text-align: left;">CIEL</td>
<td style="text-align: left;">Station name. Accepts wildcards and lists.</td>
<td>any</td>
<td>string</td>
</tr>
<tr class="odd">
<td style="text-align: left;">loc[ation]</td>
<td style="text-align: left;">00</td>
<td style="text-align: left;">Location code. Use loc=??? for empty location codes. Accepts wildcards and lists.</td>
<td>any</td>
<td>string</td>
</tr>
<tr class="even">
<td style="text-align: left;">cha[nnel]</td>
<td style="text-align: left;">HHZ</td>
<td style="text-align: left;">Channel Code. Accepts wildcards and lists.</td>
<td>any</td>
<td>string</td>
</tr>
</tbody>
</table>
<h4 id="wildcards-and-lists">Wildcards and lists</h4>
<ul>
<li>Wildcards: the question mark <code>?</code> represents any single character, while the asterisk <code>*</code> represents zero or more characters.</li>
<li>List: multiple items may be retrieved using a comma-separated list. Wildcards may be included in the list.</li>
</ul>
<p>For example, with channel codes: channel=EH?,BHZ</p>
<h3 id="time-options">Time options</h3>
<table>
<colgroup>
<col style="width: 9%" />
<col style="width: 7%" />
<col style="width: 72%" />
<col style="width: 6%" />
<col style="width: 3%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
<th>Default</th>
<th>Type</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">start[time]</td>
<td style="text-align: left;">2010-01-10T00:00:00</td>
<td style="text-align: left;">Limits to metadata describing channels operating on or after the specified start time.</td>
<td>any</td>
<td>day/time</td>
</tr>
<tr class="even">
<td style="text-align: left;">end[time]</td>
<td style="text-align: left;">2011-02-11T01:00:00</td>
<td style="text-align: left;">Limits to metadata describing channels operating on or before the specified end time.</td>
<td>any</td>
<td>day/time</td>
</tr>
<tr class="odd">
<td style="text-align: left;">startbefore</td>
<td style="text-align: left;">2002-12-31T00:00:00</td>
<td style="text-align: left;">Limits to metadata epochs starting before specified time. Applied to channel epochs.</td>
<td>any</td>
<td>day/time</td>
</tr>
<tr class="even">
<td style="text-align: left;">startafter</td>
<td style="text-align: left;">2010-12-31T00:00:00</td>
<td style="text-align: left;">Limits to metadata epochs starting after specified time. Applied to channel epochs.</td>
<td>any</td>
<td>day/time</td>
</tr>
<tr class="odd">
<td style="text-align: left;">endbefore</td>
<td style="text-align: left;">2015-12-31T00:00:00</td>
<td style="text-align: left;">Limits to metadata epochs ending before specified time. Applied to channel epochs.</td>
<td>any</td>
<td>day/time</td>
</tr>
<tr class="even">
<td style="text-align: left;">endafter</td>
<td style="text-align: left;">2012-12-31T00:00:00</td>
<td style="text-align: left;">Limits to metadata epochs ending after specified time. Applied to channel epochs.</td>
<td>any</td>
<td>day/time</td>
</tr>
</tbody>
</table>
<h3 id="rectangular-geographic-constraints">Rectangular geographic constraints</h3>
<table>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
<th>Default</th>
<th>Type</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">minlat[itude]</td>
<td style="text-align: left;">14.5</td>
<td style="text-align: left;">Southern boundary.</td>
<td>-90??</td>
<td>degrees</td>
</tr>
<tr class="even">
<td style="text-align: left;">maxlat[itude]</td>
<td style="text-align: left;">22.0</td>
<td style="text-align: left;">Northern boundary.</td>
<td>90??</td>
<td>degrees</td>
</tr>
<tr class="odd">
<td style="text-align: left;">minlon[gitude]</td>
<td style="text-align: left;">-170.0</td>
<td style="text-align: left;">Western boundary.</td>
<td>-180??</td>
<td>degrees</td>
</tr>
<tr class="even">
<td style="text-align: left;">maxlon[gitude]</td>
<td style="text-align: left;">170.0</td>
<td style="text-align: left;">Eastern boundary.</td>
<td>180??</td>
<td>degrees</td>
</tr>
</tbody>
</table>
<h3 id="radial-geographic-constraints">Radial geographic constraints</h3>
<table>
<colgroup>
<col style="width: 9%" />
<col style="width: 7%" />
<col style="width: 72%" />
<col style="width: 6%" />
<col style="width: 3%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
<th>Default</th>
<th>Type</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">lat[itude]</td>
<td style="text-align: left;">45.0</td>
<td style="text-align: left;">Specify the central latitude point.</td>
<td>0</td>
<td>degrees</td>
</tr>
<tr class="even">
<td style="text-align: left;">lon[gitude]</td>
<td style="text-align: left;">160.0</td>
<td style="text-align: left;">Specify the central longitude point.</td>
<td>0</td>
<td>degrees</td>
</tr>
<tr class="odd">
<td style="text-align: left;">maxradius</td>
<td style="text-align: left;">22.0</td>
<td style="text-align: left;">Specify maximum distance from the geographic point defined by latitude and longitude.</td>
<td></td>
<td>degrees</td>
</tr>
<tr class="even">
<td style="text-align: left;">minradius</td>
<td style="text-align: left;">15.0</td>
<td style="text-align: left;">Specify minimum distance from the geographic point defined by latitude and longitude.</td>
<td>0</td>
<td>degrees</td>
</tr>
</tbody>
</table>
<p>latitude, longitude, maxradius and minradius work together to define a radial boundary</p>
<h3 id="output-options">Output options</h3>
<table>
<colgroup>
<col style="width: 9%" />
<col style="width: 7%" />
<col style="width: 72%" />
<col style="width: 6%" />
<col style="width: 3%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
<th>Default</th>
<th>Type</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">level</td>
<td style="text-align: left;">channel</td>
<td style="text-align: left;">Specify the level of detail using network, station, channel, or response.</td>
<td>station</td>
<td>level</td>
</tr>
<tr class="even">
<td style="text-align: left;">format</td>
<td style="text-align: left;">text</td>
<td style="text-align: left;">Specify output format. Valid formats include xml, text, and mseed.</td>
<td>xml</td>
<td>format</td>
</tr>
<tr class="odd">
<td style="text-align: left;">nodata</td>
<td style="text-align: left;">404</td>
<td style="text-align: left;">Specify which HTTP status code is returned when no data is found.</td>
<td>204</td>
<td>204 or 404</td>
</tr>
</tbody>
</table>
<h3 id="miscellaneous">Miscellaneous</h3>
<table>
<colgroup>
<col style="width: 9%" />
<col style="width: 7%" />
<col style="width: 72%" />
<col style="width: 6%" />
<col style="width: 3%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Parameter</th>
<th style="text-align: left;">Example</th>
<th style="text-align: left;">Discussion</th>
<th>Default</th>
<th>Type</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">includerestricted</td>
<td style="text-align: left;">TRUE</td>
<td style="text-align: left;">Specify whether results should include information relating to restricted channels.</td>
<td>true</td>
<td>Boolean</td>
</tr>
<tr class="even">
<td style="text-align: left;">matchtimeseries</td>
<td style="text-align: left;">TRUE</td>
<td style="text-align: left;">Retrieve only metadata that is likely to match available time series data.</td>
<td>false</td>
<td>Boolean</td>
</tr>
<tr class="odd">
<td style="text-align: left;">updatedafter</td>
<td style="text-align: left;">2013-01-01</td>
<td style="text-align: left;">Limits to metadata updated after specified UTC date; updates are data center specific.</td>
<td>any</td>
<td>day/time</td>
</tr>
</tbody>
</table>
<h2 id="date-and-time-formats">Date and time formats</h2>
<pre><code>YYYY-MM-DDThh:mm:ss[.ssssss] ex. 1997-01-31T12:04:32.123
YYYY-MM-DD ex. 1997-01-31 (a time of 00:00:00 is assumed)</code></pre>
<p>Where:</p>
<pre><code>YYYY    :: four-digit year
MM      :: two-digit month (01=January, etc.)
DD      :: two-digit day (01 through 31)
T       :: date-time separator
hh      :: two-digit hour (00 through 23)
mm      :: two-digit number of minutes (00 through 59)
ss      :: two-digit number of seconds (00 through 59)
ssssss  :: one to six-digit number of microseconds (0 through 999999)</code></pre>
<h2 id="additional-information">Additional information</h2>
<p>Additional informations on <a href="https://seismology.resif.fr/webservice-overview/">webservive overview</a></p>
<p>You can also get help by sending an email at <a href="mailto:sismo-help@resif.fr">our helpdesk</a></p>


{% endblock %}
